Loading...
Searching...
No Matches
_ModuleInfo Struct Reference

## Data Fields

char * | path
char * | tag
void * | handle
void(* | unregister_module )(void)
size_t(* | register_module )(void)
time_t | timestamp
MagickBooleanType | stealth
size_t | signature

## Detailed Description

Definition at line 38 of file module.h.

## Field Documentation

## handle

void* _ModuleInfo::handle

Definition at line 45 of file module.h.

## path

char* _ModuleInfo::path

Definition at line 41 of file module.h.

## register_module

size_t(* _ModuleInfo::register_module) (void)

Definition at line 48 of file module.h.

## signature

size_t _ModuleInfo::signature

Definition at line 58 of file module.h.

## stealth

MagickBooleanType _ModuleInfo::stealth

Definition at line 55 of file module.h.

## tag

char * _ModuleInfo::tag

Definition at line 42 of file module.h.

## timestamp

time_t _ModuleInfo::timestamp

Definition at line 52 of file module.h.

## unregister_module

void(* _ModuleInfo::unregister_module) (void)

Definition at line 45 of file module.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/module.h